<template>
  <div class="public-bounced-content">
    <div class="public-bounced-content-left">
      <slot name='WasteSolidTabs'>
        <PublicTabs></PublicTabs>
      </slot>
      <div class="public-bounced-content-left-bottom">
        <slot name='WasteSolidTable'>
          <PublicTable></PublicTable>
        </slot>
      </div>
    </div>
    <div class="public-bounced-content-right">
      <slot name='WasteSolidVideo'>
        <PublicVideo></PublicVideo>
      </slot>
    </div>
  </div>
</template>

<script>

// import '@/utils/dragBoxes'
import PublicTabs from '@components/BaseNav/WasteSolid/PublicTabs'
import PublicTable from '@components/BaseNav/WasteSolid/PublicTable'
import PublicVideo from '@components/BaseNav/PublicVideo'

export default {
  name: 'WasteSolidIndex',
  components: {
    PublicTabs,
    PublicTable,
    PublicVideo
  },
  data () {
    return {
      displayContentTabs: [{
        StoragePlaceId: 0,
        StoragePlaceName: '取水单元干泥暂存库',
        DesignFloorArea: 0.024,
        StorageQty: 0.016,
        SurplusFloorArea: 0.018,
        StorageDate: '2021-01-17'
      }],
      displayContentTable: '',
      flag: false
    }
  },
  methods: {
    closePopup () {
      this.flag = false
    },
    // async reauestData () {
    //   const dataValue = {
    //     StoragePlaceId: 0
    //   }
    //   // console.log(e.layer.options.totransferData.Name)
    //   // 弹框标题
    //   const title = e.layer.options.totransferData.Name
    //   // 基本信息 tabs
    //   const resultBasic = await mapApi.getSolidWasteBaseInfo(dataValue)
    //   // 详细信息展示 table
    //   const resultDetailed = await mapApi.getSolidWasteDetail(dataValue)
    // },
    // 固废相关信息设置
    setData (title, dataBasic, dataDetailed, value) {
      this.flag = true
      this.value = value
      this.displayContentTitle = title
      this.displayContentTab = dataBasic[0]
      this.displayContentTable = dataDetailed[0]
    }
  }
}
</script>

<style lang="less" scoped>
.public-bounced {
  z-index: 2000;
  position: absolute;
  top: 35%;
  left: 20%;

  .public-bounced-title {
    cursor: move;
    height: 0.1rem;
    padding: 10px 0;
    display: flex;
    align-items: center;
    justify-content: space-between;

    span {
      color: #f4f7ff;
      margin: 0 15px;
      font-size: 14px;
    }

    i {
      color: #C0C4CC;
      margin: 0 15px;
      font-size: 22px;
      cursor: pointer;
    }

    i:hover {
      color: #00fff6;
    }
  }

  .public-bounced-content {
    padding: 0.1rem;
    display: flex;
    //align-items: center;
    //justify-content: space-around;

    .public-bounced-content-left {
      //width: 4.8rem;
    }

    .public-bounced-content-right {
      //width: 3rem;
      margin-left: 0.1rem;
    }
  }
}
</style>
